%{!?dist: %define dist .slc5}
Name: cern-get-keytab
Version: 1.0.3
Release: 1%{?dist}
Summary: cern-get-keytab - utility to acquire Kerberos keytab(s) at CERN
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Jaroslaw.Polok@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: msktutil >= 1.0
Provides: cern-merge-keytab
Provides: cern-get-keytab

%if 0%{?rhel} >= 6
Requires: CERN-CA-certs >= 20120322-8.slc6
Requires: ca-certificates >= 2010.63-3.el6_1.5
%else
Requires: CERN-CA-certs >= 20120322-8.slc5
Requires: openssl
%endif

%description 
%{name} is a CERN utility which stores in local keytab file(s)
host / services identities acquired from CERN Active Directory 
KDC. Please note that this tool is CERN specific and of no
use outside CERN network.

%prep
%setup -q

%build
make all

%install
mkdir -p $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sbindir}/cern-get-keytab
%{_sbindir}/cern-merge-keytab
#{_sbindir}/cern-get-dualboot-keytab
%{_mandir}/man3/cern-get-keytab.3*
%{_mandir}/man3/cern-merge-keytab.3*
#{_mandir}/man3/cern-get-dualboot-keytab.3*
%doc README

%changelog
* Thu Feb 16 2017 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.0.3
- use --dont-update-dnshostname option 

* Wed Feb 15 2017 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.0.2
- fix undef in usenocanon()

* Mon Feb 13 2017 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.0.1
- add user keytab generation

* Tue Apr 26 2016 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 0.9.10-1
- fix enctypes processing

* Tue Dec 01 2015 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 0.9.9-1
- fix --alias msktutil options.

* Mon Feb 16 2015 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 0.9.8-2
- fix undef variable check.

* Fri Feb 13 2015 Thomas Oulevey <thomas.oulevey@cern.ch> 0.9.8
- workaround to not bail out for service ticket request after dyndns check.

* Wed Jan 28 2015 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 0.9.6
- workaround to make it work for XXX.dyndns.cern.ch

* Tue Sep 02 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 0.9.5
- added cern-merge-keytab to the package.

* Fri Feb 07 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 0.9.4
- adding management of samba secrets.tdb
- change of SOAP method to reset passwd.

* Thu Feb 06 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 0.9.3
- adding time param. to ResetPass request

* Fri Mar 15 2013 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 0.8
- rewrite of code , to use single KDC.

* Tue Nov 27 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 0.5.3-1
- update requirement for msktutil >= 0.4.2
- and CERN-CA-certs for 5/6.

* Mon Nov 19 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.5-1
- using upstream msktutil now.

* Thu Oct 25 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.0.5-2
- production service SOAP URLs
* Wed Oct 24 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.0.4-1
- version using msktutil-cern.

* Tue Oct 16 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.0.2-1
- initial test release.
